Bug 1286380 - [abrt] totem: update_menu_sensitivity(): totem killed by SIGSEGV
[abrt] totem: update_menu_sensitivity(): totem killed by SIGSEGV
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f67aa1f4657a48721b3eb0d2eb3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-28 14:33 EST by iakovos Gurulian
Modified: 2016-10-03 09:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-03 09:07:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (122.24 KB, text/plain)
2015-11-28 14:33 EST, iakovos Gurulian
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-28 14:33 EST, iakovos Gurulian
no flags Details
File: core_backtrace (5.71 KB, text/plain)
2015-11-28 14:33 EST, iakovos Gurulian
no flags Details
File: dso_list (26.56 KB, text/plain)
2015-11-28 14:33 EST, iakovos Gurulian
no flags Details
File: environ (899 bytes, text/plain)
2015-11-28 14:33 EST, iakovos Gurulian
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-28 14:33 EST, iakovos Gurulian
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-28 14:33 EST, iakovos Gurulian
no flags Details
File: maps (122.90 KB, text/plain)
2015-11-28 14:33 EST, iakovos Gurulian
no flags Details
File: mountinfo (3.35 KB, text/plain)
2015-11-28 14:33 EST, iakovos Gurulian
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-28 14:33 EST, iakovos Gurulian
no flags Details
File: open_fds (2.46 KB, text/plain)
2015-11-28 14:33 EST, iakovos Gurulian
no flags Details
File: proc_pid_status (1021 bytes, text/plain)
2015-11-28 14:33 EST, iakovos Gurulian
no flags Details
File: var_log_messages (286 bytes, text/plain)
2015-11-28 14:33 EST, iakovos Gurulian
no flags Details

  None (edit)
Description iakovos Gurulian 2015-11-28 14:33:09 EST
Description of problem:
I opened the settings, tried to select encoding and it crashed.

Version-Release number of selected component:
totem-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/totem --gapplication-service
crash_function: update_menu_sensitivity
executable:     /usr/bin/totem
global_pid:     4033
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 update_menu_sensitivity at gtkcombobox.c:2114
 #2 gtk_combo_box_menu_popup at gtkcombobox.c:2136
 #3 gtk_combo_box_menu_button_press at gtkcombobox.c:2926
 #4 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #9 gtk_widget_event_internal at gtkwidget.c:7692
 #10 propagate_event_up at gtkmain.c:2517
 #11 propagate_event at gtkmain.c:2619
 #12 gtk_main_do_event at gtkmain.c:1850
 #17 g_main_context_iteration at gmain.c:3901
 #18 g_application_run at gapplication.c:2311
Comment 1 iakovos Gurulian 2015-11-28 14:33:16 EST
Created attachment 1099975 [details]
File: backtrace
Comment 2 iakovos Gurulian 2015-11-28 14:33:17 EST
Created attachment 1099976 [details]
File: cgroup
Comment 3 iakovos Gurulian 2015-11-28 14:33:19 EST
Created attachment 1099977 [details]
File: core_backtrace
Comment 4 iakovos Gurulian 2015-11-28 14:33:21 EST
Created attachment 1099978 [details]
File: dso_list
Comment 5 iakovos Gurulian 2015-11-28 14:33:23 EST
Created attachment 1099979 [details]
File: environ
Comment 6 iakovos Gurulian 2015-11-28 14:33:24 EST
Created attachment 1099980 [details]
File: exploitable
Comment 7 iakovos Gurulian 2015-11-28 14:33:26 EST
Created attachment 1099981 [details]
File: limits
Comment 8 iakovos Gurulian 2015-11-28 14:33:36 EST
Created attachment 1099982 [details]
File: maps
Comment 9 iakovos Gurulian 2015-11-28 14:33:38 EST
Created attachment 1099983 [details]
File: mountinfo
Comment 10 iakovos Gurulian 2015-11-28 14:33:40 EST
Created attachment 1099984 [details]
File: namespaces
Comment 11 iakovos Gurulian 2015-11-28 14:33:42 EST
Created attachment 1099985 [details]
File: open_fds
Comment 12 iakovos Gurulian 2015-11-28 14:33:43 EST
Created attachment 1099986 [details]
File: proc_pid_status
Comment 13 iakovos Gurulian 2015-11-28 14:33:45 EST
Created attachment 1099987 [details]
File: var_log_messages
Comment 14 Cristian Contescu 2015-12-10 15:58:01 EST
Another user experienced a similar problem:

The problem is always reproducible. You need to go to Preferences => General tab => try to click on the "Encoding" dropdown list. The application crashes immediately with a segfault.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/totem --gapplication-service
crash_function: update_menu_sensitivity
executable:     /usr/bin/totem
global_pid:     21446
kernel:         4.2.6-301.fc23.x86_64
package:        totem-3.18.1-1.fc23
reason:         totem killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Bastien Nocera 2016-09-21 11:22:22 EDT
Can't reproduce the problem locally. Can you reproduce the problem? Might have been a short-lived problem in GTK+...
Comment 16 iakovos Gurulian 2016-10-03 07:18:19 EDT
(In reply to Bastien Nocera from comment #15)
> Can't reproduce the problem locally. Can you reproduce the problem? Might
> have been a short-lived problem in GTK+...

I am not using Totem any longer in order to test it. The report is almost a year old, so it may have been fixed by some update anyway.

Note You need to log in before you can comment on or make changes to this bug.